/*******************************************************************
*
*  DESCRIPTION: eNB
*
*  AUTHOR:    Victor Silva
*  
*
*  EMAIL: mailto://victorguidasilva@gmail.com
*
*  DATE: 14/6/2016
*
*******************************************************************/

#define _USE_MATH_DEFINES
#include <iostream>
#include "eNB.h"
#include "Point.h"
#include <cmath>

eNB::eNB(long ID, Point position, float power, long f):
ID(ID),position(position),power(power), f(f){}

eNB::eNB(){}

long eNB::getID(void){ return ID;}

Point eNB::getPosition(void){ return position;}

float eNB::getPower(void){ return power;}

long eNB::getFreq(void){ return f;}

void eNB::setID(long ID){ this->ID = ID;}

void eNB::setPosition(Point position){ this->position = position;}

void eNB::setPower(float power){ this->power = power;}

void eNB::setFreq(long f){ this->f = f;}


/*int main()
{
	Point point1(1,2);
	cout << point1.getX() << endl;
	cout << point1.getY() << endl;
	point1.setX(2);
	point1.setY(4);
	cout << point1.getX() << endl;
	cout << point1.getY() << endl;
	
	return 0;
}*/




